> For the complete documentation index, see [llms.txt](https://docs.fieldsraven.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldsraven.app/code-examples/create-multiple-metafields-aka-flock.md).

# Create multiple metafields (aka flock)

{% tabs %}
{% tab title="Vanilla JS" %}

```html
<!-- JavaScript + Liquid -->
<script type="text/javascript">
  flockSubmit = (value) => {
    const ravenObjOne = {%- render 'raven-mac-gen', resource_id: customer.id, raven_id: raven_id_1 -%};
    const valueObjOne = { value: 'text value' };
    const requestParamsOne = Object.assign({}, ravenObjOne, valueObjOne);

    const ravenObjTwo = {%- render 'raven-mac-gen', resource_id: customer.id, raven_id: raven_id_2 -%};
    const valueObjTwo = { value: 1 };
    const requestParamsTwo = Object.assign({}, ravenObjTwo, valueObjTwo);

    const ravenObjThree = {%- render 'raven-mac-gen', resource_id: customer.id, raven_id: raven_id_3 -%};
    const valueObjThree = { value: 1.2 };
    const requestParamsThree = Object.assign({}, ravenObjThree, valueObjThree);

    const requestParams = { flock: [requestParamsOne, requestParamsTwo, requestParamsThree] }

    const response = fetch('/apps/raven/create_multiple_metafields', {
      method: 'PUT',
      headers: { 'Content-Type': 'application/json' },
      body: JSON.stringify(requestParams)
    })

    response
      .then(res => res.json())
      .then(resJson => console.log('resJson: ', resJson))
  }
</script>

<!-- HTML -->
<button id="fieldsraven-demo" onclick="flockSubmit()">Send the Flock!</button>
```

{% endtab %}

{% tab title="FieldsRaven Fetch wrapper (aka Storefront JS Kit)" %}

```html
<!-- JavaScript + Liquid -->
<script type="text/javascript">
  flockSubmit = (value) => {
    const ravenObjOne = {%- render 'raven-mac-gen', resource_id: customer.id, raven_id: raven_id_1 -%};
    const valueObjOne = { value: 'text value' };
    const requestParamsOne = Object.assign({}, ravenObjOne, valueObjOne);

    const ravenObjTwo = {%- render 'raven-mac-gen', resource_id: customer.id, raven_id: raven_id_2 -%};
    const valueObjTwo = { value: 1 };
    const requestParamsTwo = Object.assign({}, ravenObjTwo, valueObjTwo);

    const ravenObjThree = {%- render 'raven-mac-gen', resource_id: customer.id, raven_id: raven_id_3 -%};
    const valueObjThree = { value: 1.2 };
    const requestParamsThree = Object.assign({}, ravenObjThree, valueObjThree);

    const response = FieldsRaven.sendMultiple([requestParamsOne, requestParamsTwo, requestParamsThree]);

    response.then(res => console.log('FieldsRaven.send response: ', res))
  }
</script>

<!-- HTML -->
<button id="fieldsraven-demo" onclick="flockSubmit()">Send the Flock!</button>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldsraven.app/code-examples/create-multiple-metafields-aka-flock.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
